
Redmine - Patch #30730

[Revision view] Place link to add a related issue next to the heading

2019-02-01 17:29 - Bernhard Rohloff

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

Rational It feels like twice a week I'm telling somebody how to add a related ticket to his committed changes in the repository.

The "Add" link gets just lost on wide screens.

*Proposal *I propose to place the link as icon-only next to the heading which is already used on some places like on the time module

on 'My page'.

This makes it easier to recognize and is more convenient because your eyes are already in focus to add the issue of choice.
History

#1 - 2019-02-12 11:00 - Go MAEDA

- Target version set to Candidate for next major release

I agree that the current position of "Add" link is not optimized for wide screens which are the mainstream in recent years. I am sure that it improves UI.

#2 - 2019-02-15 18:12 - Anonymous

+1

I tested the patch against very recent trunk and LGTM. Please commit while it's not spoiled. XD
